<script setup>
import { computed } from 'vue';

const props = defineProps({
    padding: {
        type: String,
        default: 'p-4',
    },
    size: {
        type: String,
        default: 'text-base',
    },
    textColor: {
        type: String,
        default: 'text-cyan-800',
    },
    bgColor: {
        type: String,
        default: 'bg-gradient-to-br from-green-300 via-cyan-300 to-blue-300',
    },
});

const containerClasses = computed(() =>
    props.padding + ' ' + props.bgColor + ' grid justify-items-center content-center rounded-full shadow-lg mb-4'
);
const paragraphClasses = computed(() =>
    props.size + ' ' + props.textColor
);
</script>

<template>
    <div :class="containerClasses">
        <p :class="paragraphClasses">
            <slot />
        </p>
    </div>
</template>